use v6;
# generated by: ../../etc/make-modules.p6 --role-name=ISO_32000::Form_additional_actions ../../resources/ISO_32000/Form_additional_actions_entries.json

#| PDF 32000-1:2008 Table 196 – Entries in a form field’s additional-actions dictionary
role ISO_32000::Form_additional_actions {
    method K {...};
    method F {...};
    method V {...};
    method C {...};
}

=begin pod

=head1 Methods (Entries)

=head2 K [dictionary]
- (Optional; PDF 1.3) A JavaScript action that is performed when the user modifies a character in a text field or combo box or modifies the selection in a scrollable list box. This action may check the added text for validity and reject or modify it.

=head2 F [dictionary]
- (Optional; PDF 1.3) A JavaScript action that is performed before the field is formatted to display its value. This action may modify the field’s value before formatting.

=head2 V [dictionary]
- (Optional; PDF 1.3) A JavaScript action that is performed when the field’s value is changed. This action may check the new value for validity. (The name V stands for “validate.”)

=head2 C [dictionary]
- (Optional; PDF 1.3) A JavaScript action that is performed to recalculate the value of this field when that of another field changes. (The name C stands for “calculate.”) The order in which the document’s fields are recalculated is defined by the CO entry in the interactive form dictionary (see 12.7.2, “Interactive Form Dictionary”).

=end pod
