use v6;
# generated by: ../../etc/make-modules.p6 --role-name=ISO_32000::Linearization_parameter ../../resources/ISO_32000/Linearization_parameter_entries.json

#| PDF 32000-1:2008 Table F. 1 – Entries in the linearization parameter dictionary
role ISO_32000::Linearization_parameter {
    method Linearized {...};
    method L {...};
    method H {...};
    method O {...};
    method E {...};
    method N {...};
    method T {...};
    method P {...};
}

=begin pod

=head1 Methods (Entries)

=head2 Linearized [number]
- (Required) A version identification for the linearized format.

=head2 L [integer]
- (Required) The length of the entire file in bytes. It is exactly equal to the actual length of the PDF file. A mismatch indicates that the file is not linearized and is treated as ordinary PDF, ignoring linearization information. (If the mismatch resulted from appending an update, the linearization information may still be correct but requires validation; see Link G.7, "Accessing an Updated File" for details.)

=head2 H [array]
- (Required) An array of two or four integers, [ offset 1 length 1 ] or [ offset 1 length 1 offset 2 length 2 ]. offset 1 is the offset of the primary hint stream from the beginning of the file. (This is the beginning of the stream object, not the beginning of the stream data.) length 1 is the length of this stream, including stream object overhead.
If the value of the primary hint stream dictionary’s Length entry is an indirect reference, the object it refers to shall immediately follow the stream object, and length 1 also shall include the length of the indirect length object, including object overhead.
If there is an overflow hint stream, offset 2 and length 2 shall specify its offset and length.

=head2 O [integer]
- (Required) The object number of the first page’s page object.

=head2 E [integer]
- (Required) The offset of the end of the first page (the end of Link EXAMPLE 6 in Link F.3.1, "General"), relative to the beginning of the file.

=head2 N [integer]
- (Required) The number of pages in the document.

=head2 T [integer]
- (Required) In documents that use standard main cross-reference tables (including hybrid-reference files; see 7.5.8.4, "Compatibility with Applications That Do Not Support Compressed Reference Streams"), this entry shall represent the offset of the white-space character preceding the first entry of the main cross-reference table (the entry for object number 0), relative to the beginning of the file. Note that this differs from the Prev entry in the first-page trailer, which gives the location of the xref line that precedes the table.
(PDF 1.5) Documents that use cross-reference streams exclusively (see 7.5.8, "Cross-Reference Streams"), this entry shall represent the offset of the main cross-reference stream object.

=head2 P [integer]
- (Optional) The page number of the first page; see
Link F.3.4, "First-Page Cross-Reference Table and Trailer (Part 3)"
. Default value: 0.

=end pod
