use v6;
# generated by: ../../etc/make-modules.p6 --role-name=ISO_32000::Media_player_info ../../resources/ISO_32000/Media_player_info_entries.json

#| PDF 32000-1:2008 Table 291 – Entries in a media player info dictionary
role ISO_32000::Media_player_info {
    method Type {...};
    method PID {...};
    method MH {...};
    method BE {...};
}

=begin pod

=head1 Methods (Entries)

=head2 Type [name]
- (Optional) The type of PDF object that this dictionary describes; if present, is MediaPlayerInfo for a media player info dictionary.

=head2 PID [dictionary]
- (Required) A software identifier dictionary (see 13.2.7.4, “Software Identifier Dictionary”) that shall specify the player name, versions, and operating systems to which this media player info dictionary applies.

=head2 MH [dictionary]
- (Optional) A dictionary containing entries that is honored for this dictionary to be considered viable
Currently, there are no defined entries for this dictionary

=head2 BE [dictionary]
- (Optional) A dictionary containing entries that need only be honored in a “best effort” sense.
Currently, there are no defined entries for this dictionary

=end pod
