use v6;
# generated by: ../../etc/make-modules.p6 --role-name=ISO_32000::Optional_Content_Group ../../resources/ISO_32000/Optional_Content_Group_entries.json

#| PDF 32000-1:2008 Table 98 – Entries in an Optional Content Group Dictionary
role ISO_32000::Optional_Content_Group {
    method Type {...};
    method Name {...};
    method Intent {...};
    method Usage {...};
}

=begin pod

=head1 Methods (Entries)

=head2 Type [name]
- (Required) The type of PDF object that this dictionary describes; shall beOCG for an optional content group dictionary.

=head2 Name [text string]
- (Required) The name of the optional content group, suitable for presentation in a reader’s user interface.

=head2 Intent [name or array]
- (Optional) A single intent name or an array containing any combination of names. PDF defines two names, View and Design, that may indicate the intended use of the graphics in the group. A conforming reader may choose to use only groups that have a specific intent and ignore others.
Default value: View. See
8.11.2.3, "Intent"
for more information.

=head2 Usage [dictionary]
- (Optional) A usage dictionary describing the nature of the content controlled by the group. It may be used by features that automatically control the state of the group based on outside factors. See
8.11.4.4, "Usage and Usage Application Dictionaries"
for more information.

=end pod
