use v6;
# generated by: ../../etc/make-modules.p6 --role-name=ISO_32000::Printers_mark_form ../../resources/ISO_32000/Printers_mark_form_entries.json

#| PDF 32000-1:2008 Table 363 – Additional entries specific to a printer’s mark form dictionary
role ISO_32000::Printers_mark_form {
    method MarkStyle {...};
    method Colorants {...};
}

=begin pod

=head1 Methods (Entries)

=head2 MarkStyle [text string]
- (Optional; PDF 1.4) A text string representing the printer’s mark in human-readable form and suitable for presentation to the user.

=head2 Colorants [dictionary]
- (Optional; PDF 1.4) A dictionary identifying the individual colorants associated with a printer’s mark, such as a colour bar. For each entry in this dictionary, the key is a colorant name and the value is an array defining a Separation colour space for that colorant (see 8.6.6.4, “Separation Colour Spaces”). The key shall match the colorant name given in that colour space.

=end pod
