use v6;
# generated by: ../../etc/make-modules.p6 --role-name=ISO_32000::Requirement_handler ../../resources/ISO_32000/Requirement_handler_entries.json

#| PDF 32000-1:2008 Table 265 – Entries in a requirement handler dictionary
role ISO_32000::Requirement_handler {
    method Type {...};
    method S {...};
    method Script {...};
}

=begin pod

=head1 Methods (Entries)

=head2 Type [name]
- (Optional) The type of PDF object that this dictionary describes. If present, is ReqHandler for a requirement handler dictionary.

=head2 S [name]
- (Required) The type of requirement handler that this dictionary describes. Valid requirement handler types shall beJS (for a JavaScript requirement handlers) and NoOp.
A value of NoOp allows older conforming readers to ignore unrecognized requirements. This value does not add any specific entry to the requirement handler dictionary.

=head2 Script [text string]
- (Optional; valid only if the S entry has a value of JS) The name of a document-level JavaScript action stored in the document name dictionary (see 7.7.4, “Name Dictionary”). If the conforming reader understands the parent requirement dictionary and can verify the requirement specified in that dictionary, it shall disable execution of the requirement handler identified in this dictionary.

=end pod
