use v6;
# generated by: ../../etc/make-modules.p6 --role-name=ISO_32000::Variable_text_field ../../resources/ISO_32000/Variable_text_field_entries.json

#| PDF 32000-1:2008 Table 222 – Additional entries common to all fields containing variable text
role ISO_32000::Variable_text_field {
    method DA {...};
    method Q {...};
    method DS {...};
    method RV {...};
}

=begin pod

=head1 Methods (Entries)

=head2 DA [string]
- (Required; inheritable) The default appearance string containing a sequence of valid page-content graphics or text state operators that define such properties as the field’s text size and colour.

=head2 Q [integer]
- (Optional; inheritable) A code specifying the form of quadding (justification) that is used in displaying the text:
0 Left-justified
1 Centered
2 Right-justified
Default value: 0 (left-justified).

=head2 DS [text string]
- (Optional; PDF 1.5) A default style string, as described in
12.7.3.4, “Rich Text Strings.”


=head2 RV [text string or text stream]
- (Optional; PDF 1.5) A rich text string, as described in
12.7.3.4, “Rich Text Strings.”


=end pod
